<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2004 Jrme Schneider (typo3dev@ameos.com)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Plugin 'ameos_formidable_dh_raw' for the 'ameos_formidable_dh_raw' extension.
 *
 * @author	Jrme Schneider <typo3dev@ameos.com>
 */


class tx_ameosformidabledhraw_pi1 extends formidable_maindatahandler
{
	function _doTheMagic()
	{
		if($this->_isSubmitted() && $this->_allIsValid())
		{
			$aVars = $this->_getFormData();
			$this->oForm->_debug($aVars, "EXECUTION DU DATAHANDLER RAW", __LINE__, __FILE__);
			
			// on apelle le callback sur l'objet parent
			// pour lui passer les valeurs brutes du formulaire
			
			$callback = $this->oForm->_navConf("/control/datahandler/conf/parentcallback/");
			
			if($callback !== false)
			{
				if(method_exists($this->oForm->_oParent, $callback))
				{ $this->oForm->_oParent->{$callback}($aVars);}
				else
				{ $this->oForm->mayday("DATAHANDLER RAW : the callback method " . $callback . " doesn't exists in the definition of the Parent object");}
			}
			else
			{ $this->oForm->mayday("DATAHANDLER RAW : you MUST declare a callback method on the Parent Object <b>" . get_class($this->oForm->_oParent) . "</b> in the section <b>/control/datahandler/conf/parentcallback/</b> of the XML conf for this DATAHANDLER ( RAW )");}
		}
	}
}

?>