<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2004 Jrme Schneider (typo3dev@ameos.com)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Plugin 'ameos_formidable_rdr_template' for the 'ameos_formidable_rdr_template' extension.
 *
 * @author	Jrme Schneider <typo3dev@ameos.com>
 */

class tx_ameosformidablerdrtemplate_pi1 extends formidable_mainrenderer
{
	function _render($aConfRenderer, $aRendered)
	{
		$this->oForm->_debug($aRendered, "RENDERER TEMPLATE - rendered elements array", __LINE__, __FILE__);
		
		$template_path		= t3lib_div::getFileAbsFileName($this->oForm->_navConf("/conf/template/path/", $aConfRenderer));
		$form_subpart		= $this->oForm->_navConf("/conf/template/subparts/form/", $aConfRenderer);
		$errors_subpart		= $this->oForm->_navConf("/conf/template/subparts/errors/", $aConfRenderer);
		$confirm_subpart	= $this->oForm->_navConf("/conf/template/subparts/confirm/", $aConfRenderer);

		$sForm = $this->oForm->_parseTemplate($template_path, $form_subpart, $aRendered);

		if(!$this->oForm->oDataHandler->_allIsValid())
		{ $sErrors = implode("<br>\n", $this->oForm->_aValidationErrors) . "<hr>";}

		$sGlobal = $sErrors . $sForm;

		return $this->_wrapIntoForm($sGlobal, $this->oForm->_navConf("/conf/", $aConfRenderer));
	}
}

?>