<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2004 Jrme Schneider (typo3dev@ameos.com)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Plugin 'ameos_formidable_rdt_radio' for the 'ameos_formidable_rdt_radio' extension.
 *
 * @author	Jrme Schneider <typo3dev@ameos.com>
 */


class tx_ameosformidablerdtradio_pi1 extends formidable_mainrenderlet
{
	function _render($aFormData = array())
	{
		if($this->oForm->oDataHandler->_isSubmitted() || array_key_exists($this->aElement["elementname"], $aFormData))
		{ $value = $aFormData[$this->aElement["elementname"]];}
		else
		{ $value = $this->_getDefaultValue();}

		// on construit la liste des lments du groupe radio
		
		$optionsList = "";
		$aItems = $this->_getItems($this->aElement);
		
		if(count($aItems) > 0)
		{
			$aHtml = array();
			
			reset($aItems);
			while(list($itemindex, $aItem) = each($aItems))
			{
				$selected = "";
				
				if($aItem["value"] == $value)
				{ $selected = " CHECKED ";}

				$caption = $this->oForm->_getLLLabel($aItem["caption"]);

				$aHtml[] = "<INPUT TYPE = 'RADIO' NAME = '" . $this->aElement["elementname"] . "'  ID = '" . $this->aElement["elementname"] . "[" . $itemindex . "]' VALUE = '" . $aItem["value"] . "' " . $selected . $this->_getEvents() . "/><LABEL FOR = '" . $this->aElement["elementname"] . "[" . $itemindex . "]'>" . $caption . "</LABEL>";
			}
			
			reset($aHtml);
			$radioGroup = implode("<br>\n", $aHtml);
		}

		$label = $this->oForm->_getLLLabel($this->aElement["conf"]["label"]);

		return $label . "<br>\n" . $radioGroup;
	}
	
	function _getHumanReadableValue($data)
	{
		$aItems = $this->_getItems($this->aElement);
		
		reset($aItems);
		while(list(, $aItem) = each($aItems))
		{
			if($aItem["value"] == $data)
			{ return $this->oForm->_getLLLabel($aItem["caption"]);}
		}

		return $data;
	}
}

?>