<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2004 Jrme Schneider (typo3dev@ameos.com)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Plugin 'ameos_formidable_rdt_file' for the 'ameos_formidable_rdt_file' extension.
 *
 * @author	Jrme Schneider <typo3dev@ameos.com>
 */


class tx_ameosformidablerdtfile_pi1 extends formidable_mainrenderlet
{
	function _render($aFormData = array())
	{
		$label = $this->oForm->_getLLLabel($this->aElement["conf"]["label"]);

		$value = $aFormData[$this->aElement["elementname"]];
		
		if(is_array($value) && $value["error"] == 0)
		{ $filename = $value["name"];}
		else
		{ $filename = $this->oForm->oDataHandler->aStoredData[$this->aElement["elementname"]];}

		if($filename != "")
		{
			$link = $this->oForm->_navConf("/data/targetdir/", $this->aElement) . basename($filename);
			$filename = " [<a href = '" . $link . "' target = '_blank'>" . $filename . "</a>]";
		}
		
		return $label . $filename . "<br>\n<input type = \"file\" name = \"" . $this->aElement["elementname"] . "\" id = \"" . $this->aElement["elementname"] . "\"" . $this->_getEvents() . ">";
	}
	
	function _fromDataHandlerToRenderlet($data)
	{
		if(is_array($data))
		{ return $data["name"];}
		else
		{ return $data;}
	}

	function _fromRenderletToDataHandler($data)
	{
		if($data["error"] == 0)
		{
			// un fichier est upload
			// on intgre la nouvelle donne dans la base
			
			$name		= $data["name"];
			$type		= $data["type"];
			$tmp_name	= $data["tmp_name"];
			$size		= $data["size"];

			$target = $this->oForm->_navConf("/data/targetdir/", $this->aElement) . basename($name);
			
			if(move_uploaded_file($tmp_name, $target))
			{ return basename($target);}
		}
		else
		{
			// le fichier n'est pas upload
			
			if($this->oForm->oDataHandler->entryId !== false && !is_null($this->oForm->oDataHandler->entryId))
			{
				// il s'agit d'une entre que l'on dite
				// on va chercher sa valeur actuelle dans le datahandler pour la persister

				$aData = $this->oForm->oDataHandler->aStoredData;

				if(array_key_exists($this->aElement["elementname"], $aData))
				{ return $aData[$this->aElement["elementname"]];}
			}
		}

		return "";
	}

	function _getHumanReadableValue($data)
	{ return $this->_fromDataHandlerToRenderlet($data);}
}

?>